Summary: Development Libraries and headers for EFI
Name: gnu-efi
Version: 3.0.8
Release: %mkrel 1
Group: System/Kernel and hardware
License: BSD 
URL: http://gnu-efi.sourceforge.net/
Source: http://superb-dca2.dl.sourceforge.net/project/gnu-efi/gnu-efi-%{version}.tar.xz
ExclusiveArch: i686 x86_64

%define debug_package %{nil}

%ifarch x86_64
%global efiarch x86_64
%endif

%description
This package contains development headers and libraries for developing
applications that run under EFI (Extensible Firmware Interface).

%package devel
Summary: Development Libraries and headers for EFI
Group: System/Kernel and hardware
Requires: %{name}

%description devel
This package contains development headers and libraries for developing
applications that run under EFI (Extensible Firmware Interface).

%package utils
Summary: Utilities for EFI systems
Group: System/Kernel and hardware

%description utils
This package contains utilties for debugging and developing EFI systems.

%prep
%setup -q -n gnu-efi-%{version}

%build
# Package cannot build with %{?_smp_mflags}.
make
make apps

%install
mkdir -p %{buildroot}/%{_libdir}

make PREFIX=%{_prefix} LIBDIR=%{_libdir} INSTALLROOT=%{buildroot} install

mkdir -p %{buildroot}/%{_libdir}/gnuefi
mv %{buildroot}/%{_libdir}/*.lds %{buildroot}/%{_libdir}/*.o %{buildroot}/%{_libdir}/gnuefi

# Only install to known locations and copy to the EFI partition when needed 
# Packaging stays away from /boot/
mkdir -p %{buildroot}%{_libdir}/gnuefi/images
mv %{efiarch}/apps/{route80h.efi,modelist.efi} %{buildroot}%{_libdir}/gnuefi/images

%files
%defattr(-,root,root,-)
%{_libdir}/*

%files devel
%defattr(-,root,root,-)
%doc README.* ChangeLog
%{_includedir}/efi


%changelog
* Sun Jun 03 2018 TerryN <terryn94 at gmail.com> 3.0.8-1pclos2018
- update

* Fri May 23 2014 bb <bb> 3.0u-1pclos2014
- import into pclos
